%define name beatforce
%define version 0.2.0
%define release 1mdk
%define oname BeatForce


Summary: Dj player system
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Sound
Url: http://www.beatforce.org
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: fftw3-devel
BuildRequires: libSDL_image-devel
BuildRequires: libxml2-devel
BuildRequires: libmad-devel
BuildRequires: libid3tag-devel
BuildRequires: libvorbis-devel
BuildRequires: scons
Provides: %oname
Obsoletes: %oname

%description
Beatforce is a computer dj-ing system with 2 players, a 
XML-based song database, a mixer with manual and auto-fade 
and some more features. Eventually a beat counter and automatic 
beat synchronisation will be implemented.

%prep
%setup -q -n %name
find . -name *.o -o -name *.a -o -name .xvpics |xargs rm -fr
find . -type f|xargs perl -pi -e "s!/usr/share/beatforce/!%_libdir/beatforce/!"

%build
scons %_smp_mflags

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot%_libdir/%name/plugins/{input,output}
install -m 755 plugins/input/*/*.so %buildroot%_libdir/%name/plugins/input/
install -m 755 plugins/output/*/*.so %buildroot%_libdir/%name/plugins/output/
install -d %buildroot%_libdir/%name/themes/
cp -r themes/%name %buildroot%_libdir/%name/themes/%name
install -m 755 -D src/%name %buildroot%_bindir/%name
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%name
?package(%{name}):\
needs="x11"\
section="Multimedia/Sound"\
title="BeatForce"\
longtitle="Computer DJ-ing program"\
command="%name"\
icon="sound_section.png"
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc README TODO ChangeLog AUTHORS 
%_bindir/beatforce
%_libdir/%name
%_menudir/%name

%changelog
* Sat Oct  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.0-1mdk
- add menu entry
- drop patch
- new URL
- new version
- rename from BeatForce

* Tue Jun 03 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1.5-1mdk
- first mdk package
